ALAS-2018-982


Amazon Linux AMI Security Advisory: ALAS-2018-982
Advisory Release Date: 2018-03-27 21:37 Pacific
Severity: Important
References: CVE-2018-7584 

Issue Overview:

Stack-based buffer under-read in ext/standard/http_fopen_wrapper.c:php_stream_url_wrap_http_ex function when parsing HTTP response allows denial of service:
In PHP through 5.6.33, 7.0.x before 7.0.28, 7.1.x through 7.1.14, and 7.2.x through 7.2.2, there is a stack-based buffer under-read while parsing an HTTP response in the php_stream_url_wrap_http_ex function in ext/standard/http_fopen_wrapper.c. This subsequently results in copying a large string. (CVE-2018-7584 )


Affected Packages:

php71


Issue Correction:
Run yum update php71 to update your system.

New Packages:
i686:
    php71-7.1.15-1.31.amzn1.i686
    php71-common-7.1.15-1.31.amzn1.i686
    php71-tidy-7.1.15-1.31.amzn1.i686
    php71-opcache-7.1.15-1.31.amzn1.i686
    php71-ldap-7.1.15-1.31.amzn1.i686
    php71-pdo-dblib-7.1.15-1.31.amzn1.i686
    php71-pspell-7.1.15-1.31.amzn1.i686
    php71-recode-7.1.15-1.31.amzn1.i686
    php71-pdo-7.1.15-1.31.amzn1.i686
    php71-bcmath-7.1.15-1.31.amzn1.i686
    php71-mysqlnd-7.1.15-1.31.amzn1.i686
    php71-gmp-7.1.15-1.31.amzn1.i686
    php71-snmp-7.1.15-1.31.amzn1.i686
    php71-cli-7.1.15-1.31.amzn1.i686
    php71-embedded-7.1.15-1.31.amzn1.i686
    php71-xml-7.1.15-1.31.amzn1.i686
    php71-debuginfo-7.1.15-1.31.amzn1.i686
    php71-pgsql-7.1.15-1.31.amzn1.i686
    php71-process-7.1.15-1.31.amzn1.i686
    php71-enchant-7.1.15-1.31.amzn1.i686
    php71-gd-7.1.15-1.31.amzn1.i686
    php71-mcrypt-7.1.15-1.31.amzn1.i686
    php71-dbg-7.1.15-1.31.amzn1.i686
    php71-odbc-7.1.15-1.31.amzn1.i686
    php71-devel-7.1.15-1.31.amzn1.i686
    php71-fpm-7.1.15-1.31.amzn1.i686
    php71-mbstring-7.1.15-1.31.amzn1.i686
    php71-intl-7.1.15-1.31.amzn1.i686
    php71-soap-7.1.15-1.31.amzn1.i686
    php71-imap-7.1.15-1.31.amzn1.i686
    php71-json-7.1.15-1.31.amzn1.i686
    php71-dba-7.1.15-1.31.amzn1.i686
    php71-xmlrpc-7.1.15-1.31.amzn1.i686

src:
    php71-7.1.15-1.31.amzn1.src

x86_64:
    php71-common-7.1.15-1.31.amzn1.x86_64
    php71-gmp-7.1.15-1.31.amzn1.x86_64
    php71-gd-7.1.15-1.31.amzn1.x86_64
    php71-debuginfo-7.1.15-1.31.amzn1.x86_64
    php71-intl-7.1.15-1.31.amzn1.x86_64
    php71-json-7.1.15-1.31.amzn1.x86_64
    php71-tidy-7.1.15-1.31.amzn1.x86_64
    php71-snmp-7.1.15-1.31.amzn1.x86_64
    php71-dba-7.1.15-1.31.amzn1.x86_64
    php71-mysqlnd-7.1.15-1.31.amzn1.x86_64
    php71-ldap-7.1.15-1.31.amzn1.x86_64
    php71-pgsql-7.1.15-1.31.amzn1.x86_64
    php71-enchant-7.1.15-1.31.amzn1.x86_64
    php71-xmlrpc-7.1.15-1.31.amzn1.x86_64
    php71-mbstring-7.1.15-1.31.amzn1.x86_64
    php71-odbc-7.1.15-1.31.amzn1.x86_64
    php71-process-7.1.15-1.31.amzn1.x86_64
    php71-dbg-7.1.15-1.31.amzn1.x86_64
    php71-soap-7.1.15-1.31.amzn1.x86_64
    php71-7.1.15-1.31.amzn1.x86_64
    php71-embedded-7.1.15-1.31.amzn1.x86_64
    php71-pspell-7.1.15-1.31.amzn1.x86_64
    php71-pdo-7.1.15-1.31.amzn1.x86_64
    php71-opcache-7.1.15-1.31.amzn1.x86_64
    php71-fpm-7.1.15-1.31.amzn1.x86_64
    php71-xml-7.1.15-1.31.amzn1.x86_64
    php71-devel-7.1.15-1.31.amzn1.x86_64
    php71-recode-7.1.15-1.31.amzn1.x86_64
    php71-bcmath-7.1.15-1.31.amzn1.x86_64
    php71-imap-7.1.15-1.31.amzn1.x86_64
    php71-mcrypt-7.1.15-1.31.amzn1.x86_64
    php71-cli-7.1.15-1.31.amzn1.x86_64
    php71-pdo-dblib-7.1.15-1.31.amzn1.x86_64